cURL
curl --request PATCH \
--url https://webhook.cocoonmail.com/webhook/contact/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com"
}
'import requests
url = "https://webhook.cocoonmail.com/webhook/contact/update"
payload = { "email": "jsmith@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com'})
};
fetch('https://webhook.cocoonmail.com/webhook/contact/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/contact/update");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"email\": \"jsmith@example.com\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/contact/update");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"email\": \"jsmith@example.com\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);{
"success":true,
"id":"f208364f-0fb2-4518-a55d-7270b557bfe4"
}
{
"message": "Email provided is not valid."
}
{
"success":false,
"message":"Contact not found"
}
{
"detail": "Authentication credentials were not provided."
}
Contacts
Update contact
PATCH
/
webhook
/
contact
/
update
cURL
Update contact
Use this endpoint to update an existing contactResponse fields
| Property | Description |
|---|---|
| 400 | Bad request |
| 401 | Request authentication |
| 403 | Too many bad requests. Temparory block |
| 406 | Missing accept header. For example : Accept: application/json |
| 429 | Too many requests/ Rate limit exceeded |
| 500 | Internal server error |
{
"success":true,
"id":"f208364f-0fb2-4518-a55d-7270b557bfe4"
}
{
"message": "Email provided is not valid."
}
{
"success":false,
"message":"Contact not found"
}
{
"detail": "Authentication credentials were not provided."
}
Authorizations
Use your API key with the 'Bearer ' prefix
Body
application/json
Email address of the contact.
Full name of the contact.
First name of the contact.
Middle name of the contact.
Last name of the contact.
Names of lists associated with the user.
Tags associated with the user.
Gender of the contact.
Age of the contact.
Enter home address.
Enter work address.
Enter current city.
Enter state.
Enter country.
Enter postal code.
Enter designation of the contact.
Enter company name.
Provide industry.
Enter description.
Enter anniversary date.
⌘I